org.wildfly.swarm.config.elytron

## Class AggregateRealm<T extends AggregateRealm<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.AggregateRealm<T>

-     public class AggregateRealm<T extends AggregateRealm<T>>
      extends Object

  A realm definition that is an aggregation of two realms, one for the authentication steps and one for loading the identity for the authorization steps.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregateRealm(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `authenticationRealm()` Reference to the security realm to use for authentication steps (obtaining or validating credentials).
    `T` | `authenticationRealm(String value)` Reference to the security realm to use for authentication steps (obtaining or validating credentials).
    `String` | `authorizationRealm()` Reference to the security realm to use for loading the identity for authorization steps (loading of the identity).
    `T` | `authorizationRealm(String value)` Reference to the security realm to use for loading the identity for authorization steps (loading of the identity).
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregateRealm

          public AggregateRealm(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### authenticationRealm

          public String authenticationRealm()

      Reference to the security realm to use for authentication steps (obtaining or validating credentials).

    - #### authenticationRealm

          public T authenticationRealm(String value)

      Reference to the security realm to use for authentication steps (obtaining or validating credentials).

    - #### authorizationRealm

          public String authorizationRealm()

      Reference to the security realm to use for loading the identity for authorization steps (loading of the identity).

    - #### authorizationRealm

          public T authorizationRealm(String value)

      Reference to the security realm to use for loading the identity for authorization steps (loading of the identity).

Copyright © 2018 JBoss by Red Hat. All rights reserved.